# disable fortify as it causes segmentation fault in vnstati
%undefine _fortify_cflags

Summary:	vnStat is a console-based network traffic monitor
Name:		vnstat
Version:	2.6
%define subrel	1
Release:	%mkrel 1
License:	GPLv2+
Group:		Monitoring
Url:		http://humdi.net/vnstat/
Source0:	http://humdi.net/vnstat/%{name}-%{version}.tar.gz
Source1:	vnstat.init
Source2:	vnstat_ip-up
Source3:	vnstat_ip-down
Patch0:		vnstat-2.4-change-var_run-to_run.patch
BuildRequires:	pkgconfig(check)
BuildRequires:	pkgconfig(gdlib)
BuildRequires:	pkgconfig(sqlite3)

%description
vnStat is a console-based network traffic monitor for Linux and BSD that keeps
a log of network traffic for the selected interface(s). It uses the network
interface statistics provided by the kernel as information source. This means
that vnStat won't actually be sniffing any traffic and also ensures light use
of system resources.

%files
%doc CHANGES README FAQ
%doc examples/
%{_bindir}/vnstat
%{_bindir}/vnstati
%{_sbindir}/vnstatd
%config(noreplace) %{_sysconfdir}/vnstat.conf
%{_initrddir}/vnstat
%{_unitdir}/vnstat.service
%{_sysconfdir}/sysconfig/network-scripts/if*.d/vnstat*
%{_mandir}/*/*
%{_localstatedir}/lib/vnstat

#--------------------------------------------------------------------

%prep
%autosetup -p1
install -m 0755 %{SOURCE1} vnstat.init
install -m 0755 %{SOURCE2} vnstat_ip-up
install -m 0755 %{SOURCE3} vnstat_ip-down

%build
autoreconf -fi
%configure
%make_build

%install
%make_install

# vnstat service
install -d %{buildroot}%{_initrddir}
install -m755 vnstat.init %{buildroot}%{_initrddir}/vnstat
install -d %{buildroot}%{_unitdir}
install -m644 examples/systemd/vnstat.service %{buildroot}%{_unitdir}
# ifup/ifdown hooks
install -d %{buildroot}%{_sysconfdir}/sysconfig/network-scripts/ifup.d
install -m755 vnstat_ip-up %{buildroot}%{_sysconfdir}/sysconfig/network-scripts/ifup.d
install -d %{buildroot}%{_sysconfdir}/sysconfig/network-scripts/ifdown.d
install -m755 vnstat_ip-down %{buildroot}%{_sysconfdir}/sysconfig/network-scripts/ifdown.d
install -d %{buildroot}%{_localstatedir}/lib/vnstat

# (tv) fix upgrade:
# (ngompa) Must be in Lua
# See https://fedoraproject.org/wiki/User:Patches/PackagingDrafts/Symlink_Workarounds
%pretrans -p <lua>
-- # Kill this directory if a symlink for it exists already
basepath = "/usr/share/doc/vnstat/examples/init.d"
ubupath = basepath .. "/ubuntu"
centpath = basepath .. "/centos"
st = posix.stat(ubupath)
if st and st.type == "link" then
  os.remove(ubupath)
  os.remove(centpath)
end


%changelog
* Wed Mar 10 2021 daviddavid <daviddavid> 2.6-1.1.mga8
+ Revision: 1701177
- use upstream systemd service file (mga#28576)

* Wed Nov 18 2020 luigiwalser <luigiwalser> 2.6-1.mga8
+ Revision: 1647262
- 2.6

* Sun Feb 16 2020 umeabot <umeabot> 2.4-3.mga8
+ Revision: 1531035
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Mon Sep 09 2019 daviddavid <daviddavid> 2.4-2.mga8
+ Revision: 1438824
- change pidfile location from /var/run/ to /run/vnstat/

* Fri Aug 30 2019 daviddavid <daviddavid> 2.4-1.mga8
+ Revision: 1435363
- new version: 2.4

* Fri Jul 12 2019 daviddavid <daviddavid> 2.3-1.mga8
+ Revision: 1420561
- new version: 2.3

* Mon May 13 2019 luigiwalser <luigiwalser> 2.2-1.mga7
+ Revision: 1397533
- 2.2

* Sat Dec 29 2018 luigiwalser <luigiwalser> 2.1-1.mga7
+ Revision: 1346459
- 2.1

* Wed Oct 24 2018 daviddavid <daviddavid> 2.0-1.mga7
+ Revision: 1324832
- new version: 2.0

* Sun Sep 23 2018 umeabot <umeabot> 1.18-2.mga7
+ Revision: 1301634
- Mageia 7 Mass Rebuild

* Fri Aug 17 2018 daviddavid <daviddavid> 1.18-1.mga7
+ Revision: 1252104
- new version: 1.18

* Sun Feb 26 2017 luigiwalser <luigiwalser> 1.17-1.mga6
+ Revision: 1087945
- 1.17

* Sun Jan 01 2017 luigiwalser <luigiwalser> 1.16-1.mga6
+ Revision: 1078996
- 1.16

* Sat Dec 10 2016 ngompa <ngompa> 1.15-6.mga6
+ Revision: 1073994
- Convert %%pretrans to Lua

* Tue Nov 29 2016 luigiwalser <luigiwalser> 1.15-5.mga6
+ Revision: 1070881
- change scriplet back to pretrans to fix upgrade from mga5

* Sun Nov 27 2016 ngompa <ngompa> 1.15-4.mga6
+ Revision: 1070455
- Convert %%pretrans to %%pre to prevent breakage in chroot setups

* Mon Jan 04 2016 tv <tv> 1.15-3.mga6
+ Revision: 919598
- silent further upgrades
- remove debugging statement

* Mon Jan 04 2016 tv <tv> 1.15-2.mga6
+ Revision: 919558
- fix upgrade

* Sun Jan 03 2016 luigiwalser <luigiwalser> 1.15-1.mga6
+ Revision: 918873
- 1.15

* Wed Oct 21 2015 tv <tv> 1.14-2.mga6
+ Revision: 893801
- do not strip thus fixing debuginfo

* Sun Jun 21 2015 luigiwalser <luigiwalser> 1.14-1.mga6
+ Revision: 837070
- 1.14

* Mon Feb 16 2015 oden <oden> 1.12-4.mga5
+ Revision: 815167
- rebuilt for libgd-2.1.1

* Wed Oct 15 2014 umeabot <umeabot> 1.12-3.mga5
+ Revision: 741522
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.12-2.mga5
+ Revision: 690231
- Mageia 5 Mass Rebuild

* Thu Sep 04 2014 luigiwalser <luigiwalser> 1.12-1.mga5
+ Revision: 672154
- 1.12

* Sat Oct 19 2013 umeabot <umeabot> 1.11-5.mga4
+ Revision: 534665
- Mageia 4 Mass Rebuild

* Fri Sep 13 2013 djennings <djennings> 1.11-4.mga4
+ Revision: 478248
- add systemd unit

* Tue May 28 2013 oden <oden> 1.11-3.mga4
+ Revision: 429296
- rebuilt against libgd.so.3

* Mon Jan 14 2013 umeabot <umeabot> 1.11-2.mga3
+ Revision: 385454
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Aug 13 2012 luigiwalser <luigiwalser> 1.11-1.mga3
+ Revision: 281013
- 1.11 (sync with mdv)

* Thu Oct 27 2011 dmorgan <dmorgan> 1.10-3.mga2
+ Revision: 158874
- Do not reload vnstat service ( mga  #3074)

* Mon Feb 21 2011 ennael <ennael> 1.10-2.mga1
+ Revision: 55082
- imported package vnstat


* Sat Dec 04 2010 Oden Eriksson <oeriksson@mandriva.com> 1.10-2mdv2011.0
+ Revision: 608134
- rebuild

* Sun Jan 03 2010 Frederik Himpe <fhimpe@mandriva.org> 1.10-1mdv2010.1
+ Revision: 485867
- update to new version 1.10

* Fri Sep 25 2009 Eugeni Dodonov <eugeni@mandriva.com> 1.9-2mdv2010.0
+ Revision: 448750
+ rebuild (emptylog)

* Tue Sep 22 2009 Eugeni Dodonov <eugeni@mandriva.com> 1.9-1mdv2010.0
+ Revision: 447376
- Updated to 1.9.
  Undefined fortify_cflags to prevent vnstati crashes with large data.

* Wed Aug 12 2009 Frederik Himpe <fhimpe@mandriva.org> 1.8-1mdv2010.0
+ Revision: 415677
- Update to new version 1.8
- Use Mandriva CFLAGS and LDFLAGS

  + Eugeni Dodonov <eugeni@mandriva.com>
    - Added integration with init and network scripts.

* Thu May 07 2009 Eugeni Dodonov <eugeni@mandriva.com> 1.7-1mdv2010.0
+ Revision: 372959
- Using correct BuildRequires to build vnstati.
- import vnstat


